> For the complete documentation index, see [llms.txt](https://docs.dlive.tv/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dlive.tv/api/authentication-oauth2/scopes.md).

# Scopes

Currently the supported scopes are:

You need to at least request 1 scope. `identity` is the scope to use when you don't want any other scope. The username/avatar information could also be obtained even if you don't request this scope since these are public info that everyone could see.

|         Scope        |               Description               |
| :------------------: | :-------------------------------------: |
|       identity       |       get your username and avatar      |
|      chat:write      |                send chat                |
|      chest:write     |             claim/open chest            |
|     comment:write    |                 comment                 |
|      email:read      |              get your email             |
|      emote:read      |          get your emote library         |
|      emote:write     |          add/save/delete emote          |
|     language:read    |         get language preference         |
|    moderation:read   |       get channel moderation info       |
|   moderation:write   |             moderate channel            |
|   relationship:read  |           get your follow info          |
|  relationship:write  |             follow/unfollow             |
|    streamkey:read    |            get your streamkey           |
|    streamkey:write   |          regenerate stream key          |
|  streamtemplate:read |        get your channel settings        |
| streamtemplate:write |       update your stream settings       |
|   subscription:read  | get your subscriber subscribing details |
|   subsetting:write   |       update subscription setting       |
|      panel:write     |        update about panel section       |
|     watching:read    |  know which streamers you are watching  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dlive.tv/api/authentication-oauth2/scopes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
